pandoc-1.16.0.2: Conversion between markup formats

Copyright | Copyright (C) 2010-2015 Paul Rivier and John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | Paul Rivier <paul*rivier#demotera*com>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell98

Text.Pandoc.Readers.Textile

Description

Conversion from Textile to `Pandoc` document, based on the spec available at http://redcloth.org/textile.

Implemented and parsed: - Paragraphs - Code blocks - Lists - blockquote - Inlines : strong, emph, cite, code, deleted, superscript, subscript, links - footnotes - HTML-specific and CSS-specific attributes on headers

Left to be implemented: - dimension sign - all caps - continued blocks (ex bq..)

TODO : refactor common patterns across readers : - more ...

Synopsis

- readTextile :: ReaderOptions -> String -> Either PandocError Pandoc

# Documentation

readTextile Source

Arguments

:: ReaderOptions | Reader options
-> String | String to parse (assuming `'\n'` line endings)
-> Either PandocError Pandoc |

Parse a Textile text and return a Pandoc document.